Skip to main content

Get Open Interest

Get the current open interest (total number of outstanding contracts) for a futures symbol.

HTTP Request

GET /api/v1/future/market/open-interest

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/market/open-interest?symbol=BTCUSDT"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobject/nullOpen interest data (null if not available)
> openInterestListarrayList of open interest data
>> symbolstringTrading pair symbol
>> sizestringTotal open interest size
> tsnumberData timestamp in milliseconds (Unix timestamp)

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": {
"openInterestList": [
{
"symbol": "BTCUSDT",
"size": "12345.678"
}
],
"ts": 1763459280833
}
}

Success Response (No Data)

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": null
}

Error Codes

CodeMessage
40034symbol does not exist
50010Upstream response invalid